Skip to main content
GET
List automation activity

Authorizations

Authorization
string
header
required

A Replier API key (rpl_...).

Path Parameters

workspace_id
string<uuid>
required

Workspace ID returned by GET /v1/workspaces

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
automation_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 50
cursor
string
Maximum string length: 1000

Response

OK

workspace
object
required
activity
object[]
required
next_cursor
string | null
required